import java.util.*;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.events.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.jface.wizard.*;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.jface.resource.ImageDescriptor;

public class WizardExample {
  public void run() {
    Display display = new Display();
    Shell shell = new Shell(display);
    WizardDialog dlg = new WizardDialog(shell, new Wizard1());
    dlg.open();
    display.dispose();
  }
  public static void main(String[] args) {
    new WizardExample().run();
  }
}
class Wizard1 extends Wizard {
  public Wizard1() {
  addPage(new NamePage());
  addPage(new QuestionPage());
  addPage(new MoreInformationPage());
  addPage(new ThanksPage());
  setDefaultPageImageDescriptor(ImageDescriptor.createFromFile(null, "logo.gif"));
  }
  public boolean performFinish() {
  return true;
  }
}
class NamePage extends WizardPage {
  Text first,last;
  String name = "";
  String email = "";
  public NamePage() {
         super("Entry Form");
  }
  public void createControl(Composite parent) {
  Composite composite = new Composite(parent, SWT.NONE);
  composite.setLayout(new GridLayout(2,false));

  new Label(composite, SWT.LEFT).setText("Name:");
  final Text first = new Text(composite, SWT.BORDER);
  first.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));

  new Label(composite, SWT.LEFT).setText("Email Id:");
  final Text last = new Text(composite, SWT.BORDER);
  last.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));

  first.addModifyListener(new ModifyListener() {
  public void modifyText(ModifyEvent event) {
  name = first.getText();
  setPageComplete(name.length() > 0 && email.length() > 0);
 }
    });
  last.addModifyListener(new ModifyListener() {
  public void modifyText(ModifyEvent event) {
  email = last.getText();
  setPageComplete(name.length() > 0 && email.length() > 0);
  }
    });
  setControl(composite);
  }
  public String getName() {
    return name;
  }
  public String getEmail() {
    return email;
  }
}
class QuestionPage extends WizardPage {
  private Button yes;
  private Button no;
  public QuestionPage() {
    super("Complaints");
  }
  public void createControl(Composite parent) {
    Composite composite = new Composite(parent, SWT.NONE);
    composite.setLayout(new GridLayout(2, true));

    new Label(composite, SWT.LEFT).setText("Do you have any Questions?");
    Composite yesNo = new Composite(composite, SWT.NONE);
    yesNo.setLayout(new FillLayout(SWT.VERTICAL));

    yes = new Button(yesNo, SWT.RADIO);
    yes.setText("Yes");

    no = new Button(yesNo, SWT.RADIO);
    no.setText("No");

    setControl(composite);
  }
 public IWizardPage getNextPage() {
    if (yes.getSelection()) { return super.getNextPage(); }
    return getWizard().getPage("Thanks");
  }
}
class MoreInformationPage extends WizardPage {
  public MoreInformationPage() {
    super("More Info");
  }
  public void createControl(Composite parent) {
    Composite composite = new Composite(parent, SWT.NONE);
    composite.setLayout(new GridLayout(1, false));

    new Label(composite, SWT.LEFT).setText("Please Ask your question");
    Text text = new Text(composite, SWT.MULTI | SWT.BORDER | SWT.V_SCROLL);
    text.setLayoutData(new GridData(GridData.FILL_BOTH));
	
	setControl(composite);
  }
}
class ThanksPage extends WizardPage {
  public ThanksPage() {
    super("Thanks");
  }
  public void createControl(Composite parent) {
    Label label = new Label(parent, SWT.CENTER);
    label.setText("Thanks!");
    setControl(label);
  }
}
